//BLDNET   JOB 'TSO/VTAM SETUP',CLASS=A,MSGCLASS=A
//JOBCAT    DD DSN=SYS1.JMASTCAT,DISP=SHR
//*--------------------------------------------------------------------
//ASMLKED PROC U=3350,                  UNIT FOR WORK DATSETS
//             M=MISSING                MEMBER NAME TO BE ASSEMBLED
//ASM     EXEC PGM=IFOX00,REGION=1024K,
//             PARM='TERM,LIST,NOXREF,NODECK,OBJ'
//SYSLIB    DD DISP=SHR,DSN=SYS1.MACLIB
//          DD DISP=SHR,DSN=SYS1.AMODGEN
//SYSUT1    DD UNIT=&U,SPACE=(1700,(600,100))
//SYSUT2    DD UNIT=&U,SPACE=(1700,(600,100))
//SYSUT3    DD UNIT=&U,SPACE=(1700,(600,100))
//SYSPRINT  DD SYSOUT=*
//SYSTERM   DD SYSOUT=*
//SYSGO     DD DISP=(,PASS),UNIT=&U,SPACE=(80,(200,50))
//SYSIN     DD DISP=SHR,DSN=SYS1.VTAMSRC(&M),
//             UNIT=3350,VOL=SER=MVS509
//LKED    EXEC PGM=IEWL,REGION=512K,
//             PARM='XREF,MAP,LET,LIST,NCAL',
//             COND=(8,LT,ASM)
//SYSPRINT  DD SYSOUT=*
//SYSUT1    DD UNIT=&U,SPACE=(1024,(50,20))
//SYSLIN    DD DSN=*.ASM.SYSGO,DISP=(OLD,DELETE)
//          DD DDNAME=SYSIN
//SYSLMOD   DD DISP=SHR,DSN=SYS1.VTAMLIB(&M)
//        PEND
//*--------------------------------------------------------------------
//DELETE   EXEC PGM=IEHPROGM
//SYSPRINT  DD SYSOUT=*                                                          
//SYSRES    DD UNIT=3350,VOL=SER=MVS509,DISP=SHR 
//SYSIN     DD *
 SCRATCH DSNAME=SYS1.VTAMSRC,VOL=3350=MVS509
 SCRATCH DSNAME=SYS1.VTAMLST,VOL=3350=MVS509
 SCRATCH DSNAME=SYS1.VTAMOBJ,VOL=3350=MVS509
 SCRATCH DSNAME=SYS1.PARMLIB,VOL=3350=MVS509,MEMBER=IKJTSO00
 SCRATCH DSNAME=SYS1.PROCLIB,VOL=3350=MVS509,MEMBER=NET
 SCRATCH DSNAME=SYS1.PROCLIB,VOL=3350=MVS509,MEMBER=TSO
//*--------------------------------------------------------------------
//PARMLIB  EXEC PGM=IEBUPDTE,PARM=NEW
//SYSPRINT  DD SYSOUT=*
//SYSUT2    DD DSN=SYS1.PARMLIB,DISP=SHR,UNIT=3350,VOL=SER=MVS509
//SYSIN     DD *
./ ADD NAME=IKJTSO00
USERMAX=8,                       /* MAXIMUM USERS                    */
RECONLIM=120,                    /* MAXIMUM DISCONNECT MINUTES       */
BUFRSIZE=132,                    /* VTIOC BUFFER SIZE                */
HIBFREXT=13200,                  /* MAX BUFFERS BEFORE SWAP OUT      */
LOBFREXT=6600,                   /* MIMIMUM BUFFERS BEFORE SWAP IN   */
MODE=NOBREAK,                    /* KEYBOARD LOCK OPTION             */
MODESW=NO,                       /* MODESWITCH FROM TERMINAL OPTION  */
CHNLEN=4,                        /* NO. OF RU'S PER CHAIN            */
SCRSIZE=1920                     /* MAXIMUM SCREEN SIZE              */
//*--------------------------------------------------------------------
//PROCLIB  EXEC PGM=IEBUPDTE,PARM=NEW
//SYSPRINT  DD SYSOUT=*
//SYSUT2    DD DISP=SHR,DSN=SYS1.PROCLIB
//SYSIN     DD DATA,DLM=XX
./ ADD NAME=IKJACCNT
//IKJACCNT PROC
//IKJACCNT EXEC PGM=IKJEFT01,DYNAMNBR=20
//SYSHELP   DD DISP=SHR,DSN=SYS1.HELP
./ ADD NAME=NET
//NET      PROC
//IEFPROC  EXEC PGM=ISTINM01,TIME=1440,REGION=4096K
//VTAMLST   DD DSN=SYS1.VTAMLST,DISP=SHR
//VTAMLIB   DD DSN=SYS1.VTAMLIB,DISP=SHR
//VTAMOBJ   DD DSN=SYS1.VTAMOBJ,DISP=SHR
./ ADD NAME=TSO
//TSO      PROC MEM=00
//STEP1    EXEC PGM=IKTCAS00,TIME=1440
//PARMLIB   DD DISP=SHR,DSN=SYS1.PARMLIB(TSOKEY&MEM),FREE=CLOSE
//PRINTOUT  DD SYSOUT=A,DCB=(LRECL=133,RECFM=FB)
XX
//*--------------------------------------------------------------------
//VTAMLST EXEC PGM=IEBUPDTE,PARM=NEW
//SYSPRINT  DD SYSOUT=*
//VTAMOBJ   DD DSN=SYS1.VTAMOBJ,
//             UNIT=3350,VOL=SER=MVS509,
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=3120),
//             SPACE=(CYL,(5,5,10)),
//             DISP=(,CATLG)
//SYSUT2    DD DSN=SYS1.VTAMLST,
//             UNIT=3350,VOL=SER=MVS509,
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=3120),
//             SPACE=(CYL,(5,5,10)),
//             DISP=(,CATLG)
//SYSIN    DD  *
./ ADD NAME=ATCSTR00
CONFIG=00,                         /*CONFIG LIST SUFFIX              */+
SSCPID=01,                         /*THIS VTAMS ID IN NETWORK        */+
NETSOL=YES,                        /*NETWORK SOLICITOR OPTION        */+
MAXSUBA=31,                        /*MAXIMUM SUBAREAS IN NETWORK     */+
NOPROMPT,                          /*OPERATOR PROMPT OPTION          */+
SUPP=NOSUP,                        /*MESSAGE SUPPRESSION OPTION      */+
COLD,                              /*RESTART OPTION   - COLD/WARM    */+
APBUF=(128,,064),                  /*ACE STORAGE POOL                */+
CRPLBUF=(256,,44),                 /*RPL COPY POOL                   */+
IOBUF=(0128,256,16,F),             /*FIXED IO                        */+
LFBUF=(016,,16,F),                 /*LARGE FIXED BUFFER POOL         */+
LPBUF=(032,,32,F),                 /*LARGE PAGEBLE BUFFER POOL       */+
NPBUF=(032,,08,F),                 /*NON WS FMCB                     */+
PPBUF=(032,256,08,F),              /*PAGEBLE IO                      */+
SFBUF=(032,,32,F),                 /*SMALL FIXED BUFFER POOL         */+
SPBUF=(032,,32,F),                 /*SMALL PGBL BUFFER POOL          */+
UECBUF=(32,,16,F),                 /*USER EXIT CB                    */+
WPBUF=(64,,64,F)                   /*MESSAGE CONTROL BUFFER POOL     */
./ ADD NAME=ATCCON00
APPLTSO,                                             TSO APPLS         X
LCL020                                               LOCAL 3270s
./ ADD NAME=APPLTSO
TSO      APPL AUTH=(PASS,NVPACE,TSO),BUFFACT=5
TSO0001  APPL AUTH=(PASS,NVPACE,TSO),BUFFACT=5
TSO0002  APPL AUTH=(PASS,NVPACE,TSO),BUFFACT=5
TSO0003  APPL AUTH=(PASS,NVPACE,TSO),BUFFACT=5
TSO0004  APPL AUTH=(PASS,NVPACE,TSO),BUFFACT=5
TSO0005  APPL AUTH=(PASS,NVPACE,TSO),BUFFACT=5
TSO0006  APPL AUTH=(PASS,NVPACE,TSO),BUFFACT=5
TSO0007  APPL AUTH=(PASS,NVPACE,TSO),BUFFACT=5
TSO0008  APPL AUTH=(PASS,NVPACE,TSO),BUFFACT=5
./ ADD NAME=LCL020
LCL020   LBUILD SUBAREA=2
CUU020   LOCAL TERM=3277,CUADDR=020,ISTATUS=ACTIVE,                    +
               LOGTAB=LOGTAB01,LOGAPPL=NETSOL,                         +
               FEATUR2=(MODEL2,PFK)
CUU021   LOCAL TERM=3277,CUADDR=021,ISTATUS=ACTIVE,                    +
               LOGTAB=LOGTAB01,LOGAPPL=NETSOL,                         +
               FEATUR2=(MODEL2,PFK)
CUU022   LOCAL TERM=3277,CUADDR=022,ISTATUS=ACTIVE,                    +
               LOGTAB=LOGTAB01,LOGAPPL=NETSOL,                         +
               FEATUR2=(MODEL2,PFK)
CUU023   LOCAL TERM=3277,CUADDR=023,ISTATUS=INACTIVE,                  +
               LOGTAB=LOGTAB01,LOGAPPL=NETSOL,                         +
               FEATUR2=(MODEL2,PFK)
CUU024   LOCAL TERM=3277,CUADDR=024,ISTATUS=INACTIVE,                  +
               LOGTAB=LOGTAB01,LOGAPPL=NETSOL,                         +
               FEATUR2=(MODEL2,PFK)
CUU025   LOCAL TERM=3277,CUADDR=025,ISTATUS=INACTIVE,                  +
               LOGTAB=LOGTAB01,LOGAPPL=NETSOL,                         +
               FEATUR2=(MODEL2,PFK)
CUU026   LOCAL TERM=3277,CUADDR=026,ISTATUS=INACTIVE,                  +
               LOGTAB=LOGTAB01,LOGAPPL=NETSOL,                         +
               FEATUR2=(MODEL2,PFK)
CUU027   LOCAL TERM=3277,CUADDR=027,ISTATUS=INACTIVE,                  +
               LOGTAB=LOGTAB01,LOGAPPL=NETSOL,                         +
               FEATUR2=(MODEL2,PFK)
//*--------------------------------------------------------------------
//VTAMSRC EXEC PGM=IEBUPDTE,PARM=NEW
//SYSPRINT  DD SYSOUT=*
//SYSUT2    DD DSN=SYS1.VTAMSRC,
//             UNIT=3350,VOL=SER=MVS509,
//             SPACE=(CYL,(1,1,10)),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=3120),
//             DISP=(,CATLG)
//SYSIN     DD *
./ ADD NAME=LOGTAB01
***********************************************************************
*  VTAM LOGON INTERPRET TABLE                                         *
***********************************************************************
LOGTAB01 INTAB
         LOGCHAR APPLID=(APPLICID,TSO),SEQNCE='logon'
         LOGCHAR APPLID=(APPLICID,TSO),SEQNCE='LOGON'
         LOGCHAR APPLID=(APPLICID,TSO),SEQNCE='TSO'
         LOGCHAR APPLID=(APPLICID,TSO),SEQNCE='tso'
         ENDINTAB
         END
./ ADD NAME=LOGMOD01
***********************************************************************
*  VTAM LOGMODE TABLE                                                 *
***********************************************************************
LOGMOD01 MODETAB
*****************************************************************
* NON-SNA 3270 LOCAL TERMINALS                                  *
*      PRIMARY SCREEN   : MODEL 2                               *
*      SECONDARY SCREEN : NON                                   *
*****************************************************************
S3270    MODEENT LOGMODE=S3270,                                        X
               FMPROF=X'02',                                           X
               TSPROF=X'02',                                           X
               PRIPROT=X'71',                                          X
               SECPROT=X'40',                                          X
               COMPROT=X'2000',                                        X
               PSERVIC=X'000000000000000000000200'
*****************************************************************
* NON-SNA 3270 LOCAL TERMINALS                                  *
*      PRIMARY SCREEN   : MODEL 5                               *
*      SECONDARY SCREEN : NON                                   *
*****************************************************************
S32785   MODEENT LOGMODE=S32785,                                       X
               FMPROF=X'02',                                           X
               TSPROF=X'02',                                           X
               PRIPROT=X'71',                                          X
               SECPROT=X'40',                                          X
               COMPROT=X'2000',                                        X
               PSERVIC=X'00000000000018501B847F00'
*****************************************************************
* 3274 MODEL 1C WITH MODEL 2 SCREEN (REMOTE SNA)                *
*      PRIMARY SCREEN   : MODEL 2                               *
*      SECONDARY SCREEN : NON                                   *
*****************************************************************
D4C32782 MODEENT LOGMODE=D4C32782,                                     X
               FMPROF=X'03',                                           X
               TSPROF=X'03',                                           X
               PRIPROT=X'B1',                                          X
               SECPROT=X'90',                                          X
               COMPROT=X'3080',                                        X
               RUSIZES=X'87F8',                                        X
               PSERVIC=X'020000000000185020507F00'
*****************************************************************
*      3276 SNA WITH MODEL 2 SCREEN (REMOTE SNA)                *
*      PRIMARY SCREEN   : MODEL 2                               *
*      SECONDARY SCREEN : NON                                   *
*****************************************************************
D6327802 MODEENT LOGMODE=D6327802,                                     X
               FMPROF=X'03',                                           X
               TSPROF=X'03',                                           X
               PRIPROT=X'B1',                                          X
               SECPROT=X'90',                                          X
               COMPROT=X'3080',                                        X
               RUSIZES=X'88F8',                                        X
               PSERVIC=X'020000000000185000007E00'
*****************************************************************
*      3274 1C SNA WITH MODEL 5 SCREEN (REMOTE SNA)             *
*      PRIMARY SCREEN   : MODEL 5                               *
*      SECONDARY SCREEN : NONE                                  *
*****************************************************************
D4C32785 MODEENT LOGMODE=D4C32785,                                     X
               FMPROF=X'03',                                           X
               TSPROF=X'03',                                           X
               PRIPROT=X'B1',                                          X
               SECPROT=X'90',                                          X
               COMPROT=X'3080',                                        X
               RUSIZES=X'87F8',                                        X
               PSERVIC=X'0200000000001B8400007E00'
*****************************************************************
*      3276 SNA WITH MODEL 2 SCREEN (REMOTE SNA) (T.S.O)        *
*      PRIMARY SCREEN   : MODEL 2                               *
*      SECONDARY SCREEN : NON                                   *
*****************************************************************
D63278TS MODEENT LOGMODE=D63278TS,                                     X
               FMPROF=X'03',                                           X
               TSPROF=X'03',                                           X
               PRIPROT=X'B1',                                          X
               SECPROT=X'90',                                          X
               COMPROT=X'3080',                                        X
               RUSIZES=X'8587',                                        X
               PSERVIC=X'020000000000000000000200'
*****************************************************************
*      3276 SNA WITH 3289 MODEL 2 PRINTER                       *
*****************************************************************
D6328902 MODEENT LOGMODE=D6328902,                                     X
               FMPROF=X'03',                                           X
               TSPROF=X'03',                                           X
               PRIPROT=X'B1',                                          X
               SECPROT=X'90',                                          X
               COMPROT=X'3080',                                        X
               RUSIZES=X'8787',                                        X
               PSERVIC=X'030000000000185018507F00'
*****************************************************************
*      3274 NON-SNA  MODEL 2 SCREEN (LOCAL)                     *
*      PRIMARY SCREEN   : MODEL 2                               *
*      SECONDARY SCREEN : NON                                   *
*****************************************************************
D4B32782 MODEENT LOGMODE=D4B32782,                                     X
               FMPROF=X'02',                                           X
               TSPROF=X'02',                                           X
               PRIPROT=X'71',                                          X
               SECPROT=X'40',                                          X
               COMPROT=X'2000',                                        X
               RUSIZES=X'0000',                                        X
               PSERVIC=X'000000000000185000007E00'
*****************************************************************
*     S C S   P R I N T E R                                     *
*****************************************************************
SCS      MODEENT LOGMODE=SCS,                                          X
               FMPROF=X'03',                                           X
               TSPROF=X'03',                                           X
               PRIPROT=X'B1',                                          X
               SECPROT=X'90',                                          X
               COMPROT=X'3080',                                        X
               RUSIZES=X'87C6',                                        X
               PSNDPAC=X'01',                                          X
               SRCVPAC=X'01',                                          X
               PSERVIC=X'01000000E100000000000000'
*****************************************************************
*        N C C F                                                *
*****************************************************************
DSILGMOD MODEENT LOGMODE=DSILGMOD,                                     X
               FMPROF=X'02',                                           X
               TSPROF=X'02',                                           X
               PRIPROT=X'71',                                          X
               SECPROT=X'40',                                          X
               COMPROT=X'2000',                                        X
               RUSIZES=X'0000',                                        X
               PSERVIC=X'000000000000000000000200'
*****************************************************************
*        N C C F                                                *
*****************************************************************
DSIXDMN  MODEENT LOGMODE=DSIXDMN,                                      X
               FMPROF=X'03',                                           X
               TSPROF=X'03',                                           X
               PRIPROT=X'20',                                          X
               SECPROT=X'20',                                          X
               COMPROT=X'4000',                                        X
               RUSIZES=X'0000',                                        X
               PSERVIC=X'000000000000000000000000'
*****************************************************************
*      3276 SNA WITH MODEL 2 SCREEN (MAGNETIC STRIPE READER)    *
*      PRIMARY SCREEN   : MODEL 2                               *
*      SECONDARY SCREEN : NON                                   *
*      TEST TEST TEST TEST TEST TEST                            *
*****************************************************************
SCSLRDR  MODEENT LOGMODE=SCSLRDR,                                      X
               FMPROF=X'03',                                           X
               TSPROF=X'03',                                           X
               PRIPROT=X'B1',                                          X
               SECPROT=X'90',                                          X
               COMPROT=X'3080',                                        X
               RUSIZES=X'87C6',                                        X
               PSNDPAC=X'01',                                          X
               SRCVPAC=X'01',                                          X
               PSERVIC=X'04000000E100000000000000'
         MODEEND
         END
//*--------------------------------------------------------------------
//LOGTAB  EXEC PROC=ASMLKED,M=LOGTAB01
//*--------------------------------------------------------------------
//LOGMODE EXEC PROC=ASMLKED,M=LOGMOD01
//*--------------------------------------------------------------------
//ACCOUNT  EXEC PGM=IKJEFT01,REGION=1024K,DYNAMNBR=20
//SYSHELP   DD DISP=SHR,DSN=SYS1.HELP 
//SYSUADS   DD DSN=SYS1.UADS,DISP=SHR,UNIT=3350,VOL=SER=MVS509
//SYSLBC    DD DSN=SYS1.BRODCAST,DISP=SHR,UNIT=3350,VOL=SER=MVS509
//SYSPRINT  DD SYSOUT=*
//SYSTSPRT  DD SYSOUT=*
//SYSTSIN   DD *
profile prefix(ibmuser)
account
l (*)
add (jmm * * ikjaccnt) nolim oper acct jcl size(4096) unit(sysda)
sync
l (*)
end
//

