STAGE1   TITLE ' '
         PRINT ON,NOGEN,NODATA                                          
*********************************************************************** 
*                      INPUT/OUTPUT CHANNELS                          *
***********************************************************************
MPLXR0   CHANNEL ADDRESS=0,TYPE=MULTIPLEXOR
BMPXR1   CHANNEL ADDRESS=1,TYPE=BLKMPXR
BMPXR2   CHANNEL ADDRESS=2,TYPE=BLKMPXR
BMPXR3   CHANNEL ADDRESS=3,TYPE=BLKMPXR
BMPXR4   CHANNEL ADDRESS=4,TYPE=BLKMPXR
BMPXR5   CHANNEL ADDRESS=5,TYPE=BLKMPXR    for CTCs
***********************************************************************
*                       INPUT/OUTPUT DEVICES                          *
***********************************************************************
RDR00C   IODEVICE UNIT=3505,ADDRESS=00C
PCH00D   IODEVICE UNIT=3525,ADDRESS=00D,FEATURE=CARDIMAGE
PRT00E   IODEVICE UNIT=1403,                                           +
               MODEL=N1,                                               +
               ADDRESS=00E,                                            +
               FEATURE=UNVCHSET
PRT00F   IODEVICE UNIT=3211,ADDRESS=00F
*
CONS     IODEVICE UNIT=3277,                                           +
               MODEL=2,                                                +
               ADDRESS=010,                                            +
               FEATURE=(EBKY3277,DOCHAR,KB78KEY,AUDALRM,NUMLOCK)
ALTCONS  IODEVICE UNIT=3277,                                           +
               MODEL=2,                                                +
               ADDRESS=011,                                            +
               FEATURE=(EBKY3277,DOCHAR,KB78KEY,AUDALRM,NUMLOCK)
*
RDR01C   IODEVICE UNIT=3505,ADDRESS=01C
PCH01D   IODEVICE UNIT=3525,ADDRESS=01D,FEATURE=CARDIMAGE
PRT01E   IODEVICE UNIT=1403,                                           +
               MODEL=N1,                                               +
               ADDRESS=01E,                                            +
               FEATURE=UNVCHSET
PRT01F   IODEVICE UNIT=3211,ADDRESS=01F
*
LCL020   IODEVICE UNIT=3277,                                           +
               MODEL=2,                                                +
               ADDRESS=(020,8),                                        +
               FEATURE=(EBKY3277,DOCHAR,KB78KEY,AUDALRM,NUMLOCK)
LCL0C0   IODEVICE UNIT=3277,                                           +
               MODEL=2,                                                +
               ADDRESS=(0C0,8),                                        +
               FEATURE=(EBKY3277,DOCHAR,KB78KEY,AUDALRM,NUMLOCK)        
*
* JCL DEN= specifies bytes-per-inch output density
* 
* DEN    7track  9track
*  1     556     -
*  2     800     800   (NRZI)
*  3     -       1600  (PE)
*  4     -       6250  (GCR)
*
T34201   IODEVICE UNIT=3420,                                           +
               MODEL=6,                                                +
               ADDRESS=(110,4),                                        +
               FEATURE=(9-TRACK,OPT1600)    1600/6250 BPI
T34202   IODEVICE UNIT=3420,                                           +
               MODEL=6,                                                +
               ADDRESS=(114,4),                                        +
               FEATURE=(9-TRACK)            6250 BPI
T34203   IODEVICE UNIT=3420,                                           +
               MODEL=5,                                                +
               ADDRESS=(210,4),                                        +
               FEATURE=(9-TRACK,DUALDENS)   800/1600 BPI
T34204   IODEVICE UNIT=3420,                                           +
               MODEL=5,                                                +
               ADDRESS=(214,4),                                        +
               FEATURE=(9-TRACK)            1600 BPI   
*
D23141   IODEVICE UNIT=2314,ADDRESS=(120,8)
D23142   IODEVICE UNIT=2314,ADDRESS=(220,8)
*
D33301   IODEVICE UNIT=3330,ADDRESS=(130,8),MODEL=1
D33302   IODEVICE UNIT=3330,ADDRESS=(230,8),MODEL=1
D33303   IODEVICE UNIT=3330,ADDRESS=(330,8),MODEL=1
D33304   IODEVICE UNIT=3330,ADDRESS=(430,8),MODEL=1
*
D33401   IODEVICE UNIT=3340,ADDRESS=(140,8)
D33402   IODEVICE UNIT=3340,ADDRESS=(240,8)
D33403   IODEVICE UNIT=3340,ADDRESS=(340,8)
D33404   IODEVICE UNIT=3340,ADDRESS=(440,8)
*
D33501   IODEVICE UNIT=3350,ADDRESS=(150,8)
D33502   IODEVICE UNIT=3350,ADDRESS=(250,8)
D33503   IODEVICE UNIT=3350,ADDRESS=(350,8)
D33504   IODEVICE UNIT=3350,ADDRESS=(450,8)
*
D33305   IODEVICE UNIT=3330,ADDRESS=(160,8),MODEL=11
D33306   IODEVICE UNIT=3330,ADDRESS=(260,8),MODEL=11
D33307   IODEVICE UNIT=3330,ADDRESS=(360,8),MODEL=11
D33308   IODEVICE UNIT=3330,ADDRESS=(460,8),MODEL=11
*
D33751   IODEVICE UNIT=3375,ADDRESS=(170,8)
D33752   IODEVICE UNIT=3375,ADDRESS=(270,8)
D33753   IODEVICE UNIT=3375,ADDRESS=(370,8)
D33754   IODEVICE UNIT=3375,ADDRESS=(470,8)
*
D33801   IODEVICE UNIT=3380,ADDRESS=(180,8)
D33802   IODEVICE UNIT=3380,ADDRESS=(280,8)
D33803   IODEVICE UNIT=3380,ADDRESS=(380,8)
D33804   IODEVICE UNIT=3380,ADDRESS=(480,8)
*
D33901   IODEVICE UNIT=3390,ADDRESS=(190,8)
D33902   IODEVICE UNIT=3390,ADDRESS=(290,8)
D33903   IODEVICE UNIT=3390,ADDRESS=(390,8)
D33904   IODEVICE UNIT=3390,ADDRESS=(490,8)
*
CTC520   IODEVICE UNIT=CTC,ADDRESS=(520,2)
CTC540   IODEVICE UNIT=CTC,ADDRESS=(540,2)
CTC560   IODEVICE UNIT=CTC,ADDRESS=(560,2),FEATURE=370  JES3
CTC580   IODEVICE UNIT=CTC,ADDRESS=(580,2),FEATURE=370  JES3
*********************************************************************** 
*                      SYMBOLIC DEVICE NAMES                          *
***********************************************************************
SYSDA    UNITNAME NAME=SYSDA,UNIT=((120,8),(220,8),                    +
               (130,8),(230,8),(330,8),(430,8),                        +
               (140,8),(240,8),(340,8),(440,8),                        +
               (150,8),(250,8),(350,8),(450,8),                        +
               (160,8),(260,8),(360,8),(460,8),                        +
               (170,8),(270,8),(370,8),(470,8),                        +
               (180,8),(280,8),(380,8),(480,8),                        +
               (190,8),(290,8),(390,8),(490,8)),VIO=YES
*
DASD     UNITNAME NAME=DASD,UNIT=((120,8),(220,8),                     +
               (130,8),(230,8),(330,8),(430,8),                        +
               (140,8),(240,8),(340,8),(440,8),                        +
               (150,8),(250,8),(350,8),(450,8),                        +
               (160,8),(260,8),(360,8),(460,8),                        +
               (170,8),(270,8),(370,8),(470,8),                        +
               (180,8),(280,8),(380,8),(480,8),                        +
               (190,8),(290,8),(390,8),(490,8))
*
SYSSQ    UNITNAME NAME=SYSSQ,UNIT=((120,8),(220,8),                    +
               (130,8),(230,8),(330,8),(430,8),                        +
               (140,8),(240,8),(340,8),(440,8),                        +
               (150,8),(250,8),(350,8),(450,8),                        +
               (160,8),(260,8),(360,8),(460,8),                        +
               (170,8),(270,8),(370,8),(470,8),                        +
               (180,8),(280,8),(380,8),(480,8),                        +
               (190,8),(290,8),(390,8),(490,8))
*
TAPE     UNITNAME NAME=TAPE,UNIT=((110,8),(210,8))
*
SYSALLDA UNITNAME NAME=SYSALLDA,UNIT=((120,8),(220,8),                 +
               (130,8),(230,8),(330,8),(430,8),                        +
               (140,8),(240,8),(340,8),(440,8),                        +
               (150,8),(250,8),(350,8),(450,8),                        +
               (160,8),(260,8),(360,8),(460,8),                        +
               (170,8),(270,8),(370,8),(470,8),                        +
               (180,8),(280,8),(380,8),(480,8),                        +
               (190,8),(290,8),(390,8),(490,8))
*
VIO      UNITNAME NAME=VIO,UNIT=((120,8),(220,8),                      +
               (130,8),(230,8),(330,8),(430,8),                        +
               (140,8),(240,8),(340,8),(440,8),                        +
               (150,8),(250,8),(350,8),(450,8),                        +
               (160,8),(260,8),(360,8),(460,8),                        +
               (170,8),(270,8),(370,8),(470,8),                        +
               (180,8),(280,8),(380,8),(480,8),                        +
               (190,8),(290,8),(390,8),(490,8)),VIO=YES
***********************************************************************
*                         SYSTEM CONSOLES                             *
***********************************************************************
MCONS    CONSOLE                                                       C01550000
               MCONS=010,                                              C01560000
               ALTCONS=011,                                            C01570000
               ROUTCDE=ALL,                                            C01580000
               AREA=04,                                                C01590000
               PFK=12                                                   01600000
*                                                                       01610000
ACONS    CONSOLE                                                       C01620000
               SECONS=011                                              C01630000
               ALTCONS=010,                                            C01640000
               ROUTCDE=ALL,                                            C01650000
               AREA=04,                                                C01660000
               PFK=12                                                   01670000
***********************************************************************
*                         SYSTEM LIBRARIES                            *
***********************************************************************
BRODCAST DATASET BRODCAST,VOL=(MVS509,3350)
CMDLIB   DATASET CMDLIB,VOL=(MVS509,3350)
DCMLIB   DATASET DCMLIB,VOL=(MVS509,3350)
HELP     DATASET HELP,VOL=(MVS509,3350)
IMAGE    DATASET IMAGELIB,VOL=(MVS509,3350)
INDMAC   DATASET INDMAC,VOL=(MVS509,3350)
LINKLIB  DATASET LINKLIB,VOL=(MVS509,3350)
LPALIB   DATASET LPALIB,VOL=(MVS509,3350)
MACLIB   DATASET MACLIB,VOL=(MVS509,3350)
MANX     DATASET MANX,VOL=(MVS509,3350)
MANY     DATASET MANY,VOL=(MVS509,3350)
NUCLEUS  DATASET NUCLEUS,VOL=(MVS509,3350)
PAGE01   DATASET PAGEDSN=SYS1.PAGJ01                       <--
PAGE02   DATASET PAGEDSN=SYS1.PAGJ02                       <--
PAGE03   DATASET PAGEDSN=SYS1.PAGJ03                       <--
PARMLIB  DATASET PARMLIB,VOL=(MVS509,3350)
PROCLIB  DATASET PROCLIB,VOL=(MVS509,3350)
SAMPLIB  DATASET SAMPLIB,VOL=(MVS509,3350)
SVCLIB   DATASET SVCLIB,                                               +
               PDS=SYS2.LOCAL.SVCLIB,                                  +
               MEMBERS=(IGC0024{,      svc 240                         +
               IGC0024A,               svc 241                         +
               IGC0024B,               svc 242                         +
               IGC0024C,               svc 243                         +
               IGC0024D,               svc 244                         +
               IGC0024E,               svc 245                         +
               IGC0024F,               svc 246                         +
               IGC0024G,               svc 247                         +
               IGC0024H,               svc 248                         +
               IGC0024I,               svc 249                         +
               IGC0025{,               svc 250                         +
               IGC0025A,               svc 251                         +
               IGC0025B,               svc 252                         +
               IGC0025C,               svc 253                         +
               IGC0025D,               svc 254                         +
               IGC0025E)               svc 255                         +
               VOL=(MVS509,3350)                                        
TELCML   DATASET TELCMLIB,VOL=(MVS509,3350)
UADS     DATASET UADS,VOL=(MVS509,3350)
VSCATLG  DATASET VSCATLG,NAME=SYS1.JMASTCAT,VOL=(MVS509,3350)
VTAMLIB  DATASET VTAMLIB,VOL=(MVS509,3350) 
***********************************************************************
*                       CONTROL PROGRAM OPTIONS                       *
***********************************************************************
CTLPG    CTRLPROG                                                      +
               ACRCODE=NO,      UP = suppress 0E46s @ IPL              +
               APFLIB=(SYS1.VTAMLIB,MVS509,                            +
               SYS1.INDMAC,MVS509,                                     +
               SYS2.LOCAL.AUTHLIB,LOC509,                              +
               SYS2.LOCAL.LINKLIB,LOC509,                              +
               SYS2.LOCAL.CMDLIB,LOC509),                              +
               ASCII=INCLUDE,   ASCII translate routine                +
               CSA=3072,        # 1K blocks of CSA                     +
               OPTIONS=(RER,    Reduced error recovery                 +
               DEVSTAT,         offline not-ready devices at IPL       +
               RDE,             SYS1.LOGREC Reliability Data Extractor +
               BLDL),           BLDL in fixed storage                  +
               REAL=0,          # 1K V=R blocks                        +
               SQA=5,           # 64K SQA blocks beyond 3*64K bytes    +
               STORAGE=0,       determine max real storage dynamically +
               VRREGN=0,        default V=R region                     +
               WARN=0           ignore Power Warning feature           
*                                                                       02700000
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 02710000
*                           TSO OPTIONS                               * 02720000
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 02730000
*                                                                       02740000
TSOOP    TSO                                                           C02750000
               CMDS=YES,                                               C02760000
               LOGLINE=4,                                              C02770000
               LOGTIME=50                                               02780000
*                                                                       02790000
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 02800000
*                       TSO EDIT DEFAULTS                             * 02810000
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 02820000
*                                                                       02830000
TSOED    EDIT                                                          C02840000
               BLOCK=(6160,6160,6160,6160,6160,6160,6160),             +
               CONVERT=(CAPS,ASIS,ASIS,CAPS,CAPS,CAPS,CAPS),           +
               DSTYPE=(ASM,TEXT,DATA,CLIST,CNTL,COBOL,PLI),            +
               FORMAT=(FXDONLY,VAR,FIXED,FIXED,FXDONLY,FXDONLY,FIXED), +
               VAR=(,,255-255),                                        +
               USERSRC=(DATASET,DATASET,DATASET,DATASET,DATASET,       +
               DATASET)   
*                                                                       02910000
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 02920000
*                         SCHEDULER OPTIONS                           * 02930000
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 02940000
*                                                                       02950000
SCHDL    SCHEDULR                                                      C02960000
               BCLMT=100,                                              C02970000
               HARDCPY=(SYSLOG,ALL,CMDS),                              C02980000
               PRISUB=JES2,                                            C02990000
               SUBSYS=(JESA,JESB),                                     +
               DEVPREF=(3350,3330,3340)     NOTE 3380 OMITTED
*                                                                       03010000
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 03020000
*                      OPTIONAL ACCESS METHODS                        * 03030000
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 03040000
*                                                                       03050000
OPTAM    DATAMGT                                                       C03060000
               ACSMETH=(BTAM,ISAM,TCAM,VTAM),                          C03070000
               IND=YES,                      3270 support              +
               TABLE=ALL,                    all 3800 char tables      +
               UCSDFLT=ALL                   default UCS
*                                                                       
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 
*                      USER SVCs                                      * 
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
*                                                                       
         SVCTABLE   SVC-240-T4
         SVCTABLE   SVC-241-T3
         SVCTABLE   SVC-242-T4
         SVCTABLE   SVC-243-T3
         SVCTABLE   SVC-244-T4
         SVCTABLE   SVC-245-T3
         SVCTABLE   SVC-246-T4
         SVCTABLE   SVC-247-T3
         SVCTABLE   SVC-248-T4         TSO Full Screen Editor
         SVCTABLE   SVC-249-T3
         SVCTABLE   SVC-250-T4
         SVCTABLE   SVC-251-T3
         SVCTABLE   SVC-252-T4
         SVCTABLE   SVC-253-T3
         SVCTABLE   SVC-254-T4
         SVCTABLE   SVC-255-T3
*                                                                       03110000
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 03120000
*                           GENERATE                                  * 03130000
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 03140000
*                                                                       03150000
         GENERATE                                                      C03160000
               GENTYPE=ALL,                                            C03170000
               INDEX=SYS1,                                             C03180000
               JCLASS=A,                                               C03190000
               OBJPDS=SYS1.OBJPDS,                                     C03200000
               OCLASS=A,                                               C03210000
               RESVOL=(MVS509,3350)
         END                                                            03230000
